Loading...
Searching...
No Matches
lirc.client.ReplyParser Class Reference
Python client bindings » Classes to receive keypresses » Classes to send commands

Handles the actual parsing of a command reply. More...

Inheritance diagram for lirc.client.ReplyParser:

## Public Member Functions

| __init__ (self)
bool | is_completed (self)
| Returns true if no more reply input is required.
| feed (self, str line)
| Enter a line of data into parsing FSM, update state.
Public Member Functions inherited from lirc.client.Reply
| __init__ (self)

## Protected Attributes

| _state = self._State.BEGIN
| _lines_expected = None
| _buffer = bytearray(0)

## Additional Inherited Members

Public Attributes inherited from lirc.client.Reply
| result = Result.INCOMPLETE
| Enum Result, reflects parser state.
| success = None
| bool, reflects SUCCESS/ERROR.
list | data = []
| List of lines, the command DATA payload.
bool | sighup = False
| bool, reflects if a SIGHUP package has been received
str | last_line = ''
| str, last input line (for error messages).

## Detailed Description

Handles the actual parsing of a command reply.

Definition at line 449 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.ReplyParser.__init__ | ( |  | self | ) |

Definition at line 451 of file client.py.

## Member Function Documentation

## feed()

lirc.client.ReplyParser.feed | ( |  | self,
|  | str | line )

Enter a line of data into parsing FSM, update state.

Definition at line 462 of file client.py.

## is_completed()

bool lirc.client.ReplyParser.is_completed | ( |  | self | ) |

Returns true if no more reply input is required.

Definition at line 458 of file client.py.

## Member Data Documentation

## _buffer

lirc.client.ReplyParser._buffer = bytearray(0)

protected

Definition at line 455 of file client.py.

## _lines_expected

lirc.client.ReplyParser._lines_expected = None

protected

Definition at line 454 of file client.py.

## _state

lirc.client.ReplyParser._state = self._State.BEGIN

protected

Definition at line 453 of file client.py.

The documentation for this class was generated from the following file:

- client.py